Driver and program version (ATI)
log in

Advanced search

Message boards : Windows : Driver and program version (ATI)

Author Message
Uffe F
Send message
Joined: 9 May 12
Posts: 2
Credit: 3,794,499
RAC: 0
Message 14540 - Posted: 28 Jul 2012, 18:05:25 UTC
Last modified: 28 Jul 2012, 18:07:18 UTC

Hi all. I have been searching for the difference in Collatz apps that are used.

I have this computer running collatz on a Radeon HD 6970M
http://boinc.thesonntags.com/collatz/show_host_detail.php?hostid=101069

I get the 2.09 app which is listed as an older version on the optimized app site.

So my questions are:
Will I get a newer app if i upgrade my drivers to 12.x?
Is the new apps faster for my card? I couldn't find anything for the ATI cards after app 2.09

Some links to further information about app 3.xx for ATI cards would also be nice.

I heard that some 12.x drivers are not so good for all projects on boinc, so can you recomends some stable builds?
I use the driver from my manufactorer, but it's a small firm who assemple the computers themselves, so I think they actually just use the generic driver, so should be no problem upgrading. Just want to hear if it would help before I go through all the trouble.

Regards Uffe

Profile mikey
Avatar
Send message
Joined: 11 Aug 09
Posts: 3246
Credit: 1,703,348,951
RAC: 4,672,970
Message 14545 - Posted: 29 Jul 2012, 11:11:27 UTC - in response to Message 14540.

Hi all. I have been searching for the difference in Collatz apps that are used.

I have this computer running collatz on a Radeon HD 6970M
http://boinc.thesonntags.com/collatz/show_host_detail.php?hostid=101069

I get the 2.09 app which is listed as an older version on the optimized app site.

So my questions are:
Will I get a newer app if i upgrade my drivers to 12.x?
Is the new apps faster for my card? I couldn't find anything for the ATI cards after app 2.09

Some links to further information about app 3.xx for ATI cards would also be nice.

I heard that some 12.x drivers are not so good for all projects on boinc, so can you recomends some stable builds?
I use the driver from my manufactorer, but it's a small firm who assemple the computers themselves, so I think they actually just use the generic driver, so should be no problem upgrading. Just want to hear if it would help before I go through all the trouble.

Regards Uffe


According to AMD.com the latest ones for you:
http://support.amd.com/us/gpudownload/windows/Pages/radeonaiw_vista64.aspx

BUT unless you are a gamer upgrading to the latest and greatest is NOT always the best idea. The latest drivers are BEST for gaming, IF you do that then get the latest it WILL help. But for crunching do NOT upgrade until you need to, YES get a version thru AMD instead of your pc builder, but on the right hand side under Helpful Links it says "previous drivers and software", ver 12.1 works just fine for me.

Profile Slicker
Volunteer moderator
Project administrator
Project developer
Project tester
Project scientist
Avatar
Send message
Joined: 11 Jun 09
Posts: 2525
Credit: 740,580,099
RAC: 1
Message 14547 - Posted: 29 Jul 2012, 21:19:17 UTC

Newer isn't always better. There is no 3.xx CAL/Brook+ app because AMD dropped support for Brook+ a few years ago and the older version of Brook+ is not compatible with newer AMD GPUs. Unfortunately, the OpenCL ATI app (3.xx) is SLOWER than the Brook+ App (2.xx). That is why the only machines that are sent the 3.xx OpenCL ATI app are HD 7xxx or later AMD GPUs. For an HD 6970M, the 2.09 ATI app is the fastest version.

Uffe F
Send message
Joined: 9 May 12
Posts: 2
Credit: 3,794,499
RAC: 0
Message 14564 - Posted: 2 Aug 2012, 7:17:36 UTC - in response to Message 14547.

Ahr okay, thank you very much, then I will just happely crunch on with the 2.09 version :)

Have a nice day.


Post to thread

Message boards : Windows : Driver and program version (ATI)


Main page · Your account · Message boards


Copyright © 2018 Jon Sonntag; All rights reserved.